<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">
  <xsl:template match="/">
    <html><head><title>Audio Collection XML Example</title></head>
      <body bgcolor="#FFFFFF">
        <h2>My Audio Collection</h2>
        <xsl:for-each select="audiocollection/audio">
          <xsl:apply-templates select="title"/>
          <xsl:apply-templates select="@year"/>
          <xsl:apply-templates select="artist"/>
          <xsl:apply-templates select="track"/>
          <xsl:apply-templates select="comments"/>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="title">
    <b>Title: </b><i><xsl:value-of/></i>
  </xsl:template>

  <xsl:template match="@year">
    (<xsl:value-of/>)<br/>
  </xsl:template>

  <xsl:template match="artist">
    <b>Artist: </b><xsl:value-of/><br/>
    <b>Tracks:</b><br/>
  </xsl:template>

  <xsl:template match="track">
    <xsl:value-of/><br/>
  </xsl:template>

  <xsl:template match="comments">
    <b>Comments:</b><br/><xsl:value-of/><br/><br/>
  </xsl:template>

</xsl:stylesheet>
